> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Signup Confirm



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json post /api/partners/v2.0/auth/signup-confirm
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/auth/signup-confirm:
    post:
      tags:
        - Authentication
      summary: Signup Confirm
      operationId: integrations_api_api_v2_auth_router_signup_confirm
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SignupConfirmInput'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SignupConfirmOutput'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response
                type: object
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response
                type: object
components:
  schemas:
    SignupConfirmInput:
      properties:
        token:
          title: Token
          type: string
        password:
          title: Password
          type: string
        invite_token:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Invite Token
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        street_and_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Street And Number
        street_add_info:
          anyOf:
            - type: string
            - type: 'null'
          title: Street Add Info
        zip_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Zip Code
        town:
          anyOf:
            - type: string
            - type: 'null'
          title: Town
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
      required:
        - token
        - password
      title: SignupConfirmInput
      type: object
    SignupConfirmOutput:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        organization_id:
          format: uuid
          title: Organization Id
          type: string
        email:
          title: Email
          type: string
        first_name:
          title: First Name
          type: string
        last_name:
          title: Last Name
          type: string
      required:
        - id
        - organization_id
        - email
        - first_name
        - last_name
      title: SignupConfirmOutput
      type: object

````